Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.http.ssl
Class HTTPSSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.jboss.remoting.transport.http.ssl.HTTPSSocketFactory

    public class HTTPSSocketFactory

extends javax.net.ssl.SSLSocketFactory

This is a wrapper for the real SSLSocketFactory passed to it so can have it create the real SSLSocket and then add HandshakeCompletedListener to it. This is needed because no direct API to the HttpsURLConnection class to do this, so am having to do it this way.

Author:
  Tom Elrod

Constructor Summary
`HTTPSSocketFactory(javax.net.ssl.SSLSocketFactory socketFactory, javax.net.ssl.HandshakeCompletedListener listener)`

Method Summary
`java.net.Socket` | `createSocket(java.net.InetAddress inetAddress, int i)`
`java.net.Socket` | `createSocket(java.net.InetAddress inetAddress, int i, java.net.InetAddress inetAddress1, int i1)`
`java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String string, int i, boolean b)`
`java.net.Socket` | `createSocket(java.lang.String string, int i)`
`java.net.Socket` | `createSocket(java.lang.String string, int i, java.net.InetAddress inetAddress, int i1)`
`java.lang.String[]` | `getDefaultCipherSuites()`
`java.lang.String[]` | `getSupportedCipherSuites()`

Methods inherited from class javax.net.ssl.SSLSocketFactory
`getDefault`

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPSSocketFactory

    public HTTPSSocketFactory(javax.net.ssl.SSLSocketFactory socketFactory,
                              javax.net.ssl.HandshakeCompletedListener listener)

Method Detail

### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

### createSocket

    public java.net.Socket createSocket(java.net.Socket socket,
                                        java.lang.String string,
                                        int i,
                                        boolean b)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.ssl.SSLSocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.lang.String string,
                                        int i)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress inetAddress,
                                        int i)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.lang.String string,
                                        int i,
                                        java.net.InetAddress inetAddress,
                                        int i1)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress inetAddress,
                                        int i,
                                        java.net.InetAddress inetAddress1,
                                        int i1)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.